import { CanActivate, Router } from '@angular/router';
import { OAuthService } from 'angular-oauth2-oidc';
import { Observable } from 'rxjs';
import { ICoreEnvironment } from '../interfaces/core-environment.interface';
import { CompanySettingService } from '../lib/h21-company-profile/services/company-setting.service';
export declare class CompaniesGuard implements CanActivate {
    private router;
    private _auth;
    private _setting;
    private _core;
    constructor(router: Router, _auth: OAuthService, _setting: CompanySettingService, _core: ICoreEnvironment);
    canActivate(): Observable<boolean>;
    isAdmin(): Observable<boolean>;
    private _isAdminForAO;
    private _isAdminForSA;
    private _isAdminForBO;
    private _getClaims;
    /**
     * Проверка на Global Admin
     */
    private _isGlobalAdmin;
}
