import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { AlertType } from '../enums/alert-type';
import { IDialogOption } from '../models/i-dialog-option';
export declare class H21AlertDialogComponent implements OnInit {
    private _options;
    private _dialogRef;
    content: string;
    closeText: string;
    alertType: AlertType;
    color: 'accent' | 'warn';
    alertTypeType: typeof AlertType;
    constructor(_options: IDialogOption, _dialogRef: MatDialogRef<H21AlertDialogComponent>);
    ngOnInit(): void;
    close(): void;
}
