import { EventEmitter } from '@angular/core';
import { H21AccountSelectRef } from './h21-account-select-ref';
export declare class H21AccountSelectComponent {
    dialogRef: H21AccountSelectRef;
    accounts: any;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    selectedAccount: any;
    constructor(dialogRef: H21AccountSelectRef, accounts: any);
    trackByFn(index: any): any;
    changeSelectionAccount(id: number): void;
    close(): void;
    returnDialog(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
}
