import { H21RightOverlayPanelService } from '../h21-right-overlay-panel/h21-right-overlay-panel.service';
import { AppSubscriberService } from '../../services/app-subscriber-service';
import { OrderService } from '../../services/order-service';
export declare class H21PassengersSelectComponent {
    private _orderService;
    private _appSubscriber;
    private rightPanelDialog;
    adultCount: number;
    infantCount: number;
    controlText: string;
    childrenCount: number;
    constructor(_orderService: OrderService, _appSubscriber: AppSubscriberService, rightPanelDialog: H21RightOverlayPanelService);
    init(): void;
    addPassenger(passengerType: 'adult' | 'children' | 'infant'): void;
    incrementPassenger(passengerType: 'adult' | 'children' | 'infant'): void;
    decrementPassenger(passengerType: 'adult' | 'children' | 'infant'): void;
    changeAdultCount($event: number): void;
    changeChildrenCount($event: number): void;
    changeInfantCount($event: number): void;
    updateControlText(): void;
    showPassengers(): void;
    openOverlayPanel(): void;
}
