import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { H21ColumnsSelectComponent } from './h21-columns-select.component';
import { IH21Column } from '../h21-table/h21-column.interfaces';
export declare class H21ColumnsSelectRef {
    private _overlayRef;
    componentInstance: H21ColumnsSelectComponent;
    private _beforeClose$;
    private _afterClosed$;
    constructor(_overlayRef: OverlayRef);
    readonly afterClosed$: Observable<any>;
    readonly beforeClose$: Observable<void>;
    close(data?: IH21Column[] | null): void;
}
