import { AfterViewInit, EventEmitter } from '@angular/core';
import { IH21Column } from '../h21-table/h21-column.interfaces';
import { H21ColumnsSelectRef } from './h21-columns-select-ref';
export declare class H21ColumnsSelectComponent implements AfterViewInit {
    dialogRef: H21ColumnsSelectRef;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    backup: IH21Column[];
    columns: IH21Column[];
    private _container;
    constructor(dialogRef: H21ColumnsSelectRef, _columns: IH21Column[]);
    ngAfterViewInit(): void;
    trackByFn(index: any): any;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
    setDefault(): void;
    apply(): void;
    close(): void;
}
