import { OnDestroy } from '@angular/core';
import { CompanySettingService } from '../../../../h21-company-profile/services/company-setting.service';
import { CompanyAddressEditService } from '../company-address-edit/company-address-edit.service';
import { SysadminVocabularyService } from '../../../../../services/sysadmin-vocabulary.service';
import { H21DefaultDialogService } from '../../../../dialogs/h21-default-dialog.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { CompanyService } from '../../../services/company.service';
import { ICompanyAddressList } from '../../../interfaces';
export declare class CompanyAddressListComponent implements OnDestroy {
    private _setting;
    private _companyService;
    private _dialogs;
    private _vocabulary;
    private _loadProgressService;
    private _addressEditService;
    id: number;
    readonly: boolean;
    dataSource: ICompanyAddressList[];
    displayedColumns: string[];
    isAdmin: boolean;
    inProgress: boolean;
    noProgress: boolean;
    private _id;
    private _destroy$;
    constructor(_setting: CompanySettingService, _companyService: CompanyService, _dialogs: H21DefaultDialogService, _vocabulary: SysadminVocabularyService, _loadProgressService: LoadProgressService, _addressEditService: CompanyAddressEditService);
    ngOnDestroy(): void;
    loadData(): void;
    afterLoadData(items: ICompanyAddressList[]): ICompanyAddressList[];
    showAddressDialog(entity?: ICompanyAddressList, isReadonly?: boolean): void;
    remove(entity: ICompanyAddressList): void;
    private _deleteAddress;
}
