import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { CompanyContactEditComponent } from './company-contact-edit.component';
import { ICompanyContact } from '../../../interfaces';
export declare class CompanyContactEditRef {
    private _overlayRef;
    componentInstance: CompanyContactEditComponent;
    private _beforeClose;
    private _afterClosed;
    constructor(_overlayRef: OverlayRef);
    readonly afterClosed: Observable<any>;
    readonly beforeClose: Observable<void>;
    close(data?: ICompanyContact | null): void;
}
