import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { CompanyNoteEditComponent } from './company-note-edit.component';
import { ICompanyNote } from '../../../interfaces';
export declare class CompanyNoteEditRef {
    private _overlayRef;
    componentInstance: CompanyNoteEditComponent;
    private _beforeClose;
    private _afterClosed;
    constructor(_overlayRef: OverlayRef);
    readonly afterClosed: Observable<any>;
    readonly beforeClose: Observable<void>;
    close(data?: ICompanyNote | null): void;
}
