import { FormGroup } from '@angular/forms';
import { AfterViewInit, EventEmitter } from '@angular/core';
import { CompanyService } from '../../../services/company.service';
import { CompanyNoteEditRef } from './company-note-edit-ref';
import { ICompanyNote } from '../../../interfaces/company-note.interface';
export declare class CompanyNoteEditComponent implements AfterViewInit {
    dialogRef: CompanyNoteEditRef;
    private _companyService;
    params: ICompanyNote;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    actionInProgress: boolean;
    entity: ICompanyNote;
    form: FormGroup;
    editable: boolean;
    viewOnly: boolean;
    private _container;
    constructor(dialogRef: CompanyNoteEditRef, _companyService: CompanyService, params: ICompanyNote);
    ngAfterViewInit(): void;
    init(): void;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    save(): void;
    close(): void;
    private _buildForm;
}
