import { OnDestroy } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CompanySettingService } from '../../../../h21-company-profile/services/company-setting.service';
import { H21DefaultDialogService } from '../../../../dialogs/h21-default-dialog.service';
import { CompanyNoteEditService } from '../company-note-edit/company-note-edit.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { SettingsService } from '../../../../../services/settings.service';
import { CompanyService } from '../../../services/company.service';
import { ICompanyNote } from '../../../interfaces';
export declare class CompanyNoteListComponent implements OnDestroy {
    private _http;
    private _settings;
    private _setting;
    private _companyService;
    private _dialogs;
    private _noteEditService;
    private _loadProgressService;
    id: number;
    readonly: boolean;
    isAdmin: boolean;
    dataSource: ICompanyNote[];
    displayedColumns: string[];
    inProgress: boolean;
    noProgress: boolean;
    private _id;
    private _readonly;
    private _destroy$;
    constructor(_http: HttpClient, _settings: SettingsService, _setting: CompanySettingService, _companyService: CompanyService, _dialogs: H21DefaultDialogService, _noteEditService: CompanyNoteEditService, _loadProgressService: LoadProgressService);
    ngOnDestroy(): void;
    loadData(): void;
    showNoteDialog(entity: ICompanyNote, viewOnly?: boolean): void;
    remove(entity: ICompanyNote): void;
    private _delete;
    private _updateUserName;
}
