import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { StatementDownloadType } from './enums/statement-download-type.enum';
export declare class CompanyStatementsComponent implements OnDestroy, OnInit {
    private _fb;
    private _cdr;
    private _loadProgressService;
    headerHeight: string;
    pending: boolean;
    statementForm: FormGroup;
    invoiceForm: FormGroup;
    statementDownloadTypes: typeof StatementDownloadType;
    private _destroy$;
    constructor(_fb: FormBuilder, _cdr: ChangeDetectorRef, _loadProgressService: LoadProgressService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    trackByIndexFn(index: number, item: FormGroup): number;
    removeEmailField(fg: FormGroup, index: number): void;
    addEmailField(fg: FormGroup, quantity?: number): void;
    private _load;
    private _getForm;
    private _fillForm;
    private _getEmailFieldNextIndex;
    private _getTestSettings;
}
