import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SettingsService } from '../../../../services/settings.service';
import { CompanyServiceType } from './company-service-type.model';
import { IServiceType } from './service-type.interface';
export declare class ServiceTypeService {
    private _http;
    private _settings;
    constructor(_http: HttpClient, _settings: SettingsService);
    getTypes(): Observable<IServiceType[]>;
    getCompanyTypes(companyId: number): Observable<CompanyServiceType[]>;
}
