import { ComponentType } from '@angular/cdk/portal';
import { Overlay, OverlayRef } from '@angular/cdk/overlay';
import { Injector } from '@angular/core';
import { IH21DialogPanel } from './h21-dialog-panel.interface';
export declare class H21DialogPanelService {
    private _overlay;
    private _injector;
    private _config;
    constructor(_overlay: Overlay, _injector: Injector, _config: IH21DialogPanel);
    open<T>(component: ComponentType<T>, config?: IH21DialogPanel): OverlayRef;
    private _getTokens;
    private _getOverlayConfig;
}
