import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { MatDialog } from '@angular/material';
import { OAuthService } from 'angular-oauth2-oidc';
export declare class H21ErrorPageComponent implements OnInit {
    private auth;
    private _route;
    private _supportDialog;
    errorCode: number;
    title: string;
    text: string;
    activityId: string;
    showReLoginBtn: boolean;
    disableSupportBtn: boolean;
    showSupportBtn: boolean;
    currentDateTime: number;
    constructor(auth: OAuthService, _route: ActivatedRoute, _supportDialog: MatDialog);
    ngOnInit(): void;
    openSupportDialog(): void;
    logout(): void;
    private _initFromParams;
}
