import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { OAuthResourceServerErrorHandler, OAuthService, OAuthStorage } from 'angular-oauth2-oidc';
import { Observable } from 'rxjs';
import { SettingsService } from '../../../services/settings.service';
export declare class H21AuthInterceptor implements HttpInterceptor {
    private _storage;
    private _settings;
    private _oauthService;
    private _errorHandler;
    constructor(_storage: OAuthStorage, _settings: SettingsService, _oauthService: OAuthService, _errorHandler: OAuthResourceServerErrorHandler);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
