import { EventEmitter, OnInit } from '@angular/core';
import { MatSelectChange } from '@angular/material/select';
import { ThemePalette } from '@angular/material';
import { FormControl } from '@angular/forms';
import { HttpClientService } from '../../services/http-client.service';
export declare class H21SelectComponent implements OnInit {
    private _http;
    disabled: boolean;
    placeholder: string;
    valueField: string;
    displayField: string;
    descriptionField: string;
    dataSource: any[];
    dataUrl: string;
    dataFilter: any;
    iconSuffix: string;
    valRequired: string;
    color: ThemePalette;
    fieldClass: string;
    panelClass: string;
    diasbleDefaultCssClasses: boolean;
    valueChange: EventEmitter<any>;
    protected defaultFieldClass: string;
    protected defaultPanelClass: string;
    inputControl: FormControl;
    private _value;
    constructor(_http: HttpClientService);
    value: any;
    ngOnInit(): void;
    trackByFn(index: any): any;
    clear(): void;
    setDisplayValue(value: string): void;
    validate(): void;
    getValue(value: any): string;
    getLabel(value: any): string;
    optionSelected(event: MatSelectChange): void;
    private _getData;
    private _setValue;
}
