import { EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { ISidebarNavTab } from '../../interfaces/sidebar-nav-tab.interface';
import { ViewMode } from '../../enums';
export declare class H21SidebarNavComponent {
    private _router;
    selected: string;
    disabled: boolean;
    tabs: ISidebarNavTab[];
    viewMode: ViewMode;
    changed: EventEmitter<ISidebarNavTab>;
    viewModeType: typeof ViewMode;
    constructor(_router: Router);
    select(item: ISidebarNavTab): void;
    trackByFn(index: any): any;
}
