import { AfterViewChecked, AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { MatDialog } from '@angular/material';
import { IPicture } from '../../interfaces/picture.interface';
export declare class H21SlideCarouselComponent implements AfterViewInit, OnInit, AfterViewChecked {
    private _renderer;
    dialog: MatDialog;
    slideCount: number;
    showNavButtons: boolean;
    picturesCollection: IPicture[];
    carousel: ElementRef;
    private _totalSlideCount;
    private _viewPortWidth;
    private _slideWidth;
    private _currentTranslation;
    private _currentIndex;
    constructor(_renderer: Renderer2, dialog: MatDialog);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    trackByFn(index: any): any;
    init(): void;
    prevSlide(): void;
    nextSlide(): void;
    showLargeImg(url: string): void;
    prevPossibility(): boolean;
    nextPossibility(): boolean;
    private _moveSlide;
}
