import { DateAdapter, MatDateFormats, MatDialog } from '@angular/material';
import { FormControl } from '@angular/forms';
import { EventEmitter, OnInit } from '@angular/core';
import { H21TwoMonthCalendarRangeViewMode } from './h21-two-month-calendar-range-view-mode.enum';
import { UtilsService } from '../../services/utils.service';
export declare class H21TwoMonthCalendarComponent implements OnInit {
    dialog: MatDialog;
    utils: UtilsService;
    private _dateAdapter;
    private _locale;
    private _dateFormats;
    required: boolean;
    requiredErrorText: string;
    rangeViewMode: H21TwoMonthCalendarRangeViewMode;
    showWeekdayHint: boolean;
    canSelectOneDate: boolean;
    isSB: boolean;
    rangeSelectMode: boolean;
    startDate: Date;
    finishDate: Date;
    datePattern: string;
    maxRangeInDays: number;
    fromDate: Date;
    toDate: Date;
    fromLabel: string;
    toLabel: string;
    formFieldAppearance: string;
    selectedFromDateChange: EventEmitter<Date>;
    selectedToDateChange: EventEmitter<Date>;
    nightQuantityChange: EventEmitter<number>;
    nightQuantity: number;
    fromFormControl: FormControl;
    toFormControl: FormControl;
    inFocus: boolean;
    inFocusSecondField: boolean;
    private _selectedFromDate;
    private _selectedToDate;
    constructor(dialog: MatDialog, utils: UtilsService, _dateAdapter: DateAdapter<Date>, _locale: string, _dateFormats: MatDateFormats);
    selectedFromDate: Date;
    selectedToDate: Date;
    readonly invalid: boolean;
    ngOnInit(): void;
    validate(): void;
    openDialog(): void;
    setFieldsValue(): void;
    setNightsCount(from?: Date, to?: Date): void;
    clear(): void;
    private _getDateString;
}
