import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { H21DialogPanelService } from '../h21-dialog-panel/h21-dialog-panel.service';
import { LoadProgressService } from '../../services/load-progress.service';
import { UserRoleService } from './user-role.service';
import { UserProfileService } from '../../services/user-profile.service';
import { IUserRoleList } from './user-role-list.interface';
export declare class UserRoleListComponent implements OnInit, OnDestroy, OnChanges {
    private _cdr;
    private _userProfileService;
    private _userRoleService;
    private _loadProgressService;
    private _dialogPanelService;
    readonly: boolean;
    id: number;
    editable: boolean;
    dataSource: IUserRoleList[];
    displayedColumns: string[];
    loadInProgress: boolean;
    noProgress: boolean;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _userProfileService: UserProfileService, _userRoleService: UserRoleService, _loadProgressService: LoadProgressService, _dialogPanelService: H21DialogPanelService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    showRoleDialog(linkId?: number, companyProfileId?: number): void;
    private _openDialog;
    private _loadData;
}
