import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';
import { ImportType } from './import-type.enum';
import { H21DefaultDialogService } from '../dialogs/h21-default-dialog.service';
import { SettingsService } from '../../services/settings.service';
import { SignalrService } from '../../services/signalr.service';
import { IUploadResponse } from './upload-response.interface';
import { ImportSettings } from './import-settings.model';
export declare class UserProfileImportService {
    private _router;
    private _http;
    private _settings;
    private _notification;
    private _dialog;
    private _importType;
    readonly importSettings: ImportSettings;
    private _importSettings;
    private _baseUrl;
    constructor(_router: Router, _http: HttpClient, _settings: SettingsService, _notification: SignalrService, _dialog: H21DefaultDialogService, _importType: ImportType);
    importUsers(event: EventTarget, file: File): void;
    startImport(result: IUploadResponse): void;
    private _uploadFile;
    private _setImportSettings;
    private _getBaseEntityUrl;
    private _isCsv;
    private _getPictureType;
}
