import { ThemeElement } from './theme-element.model';
import { Logo } from './logo.model';
export declare class Theme {
    id: number;
    logo: Logo;
    name: string;
    isDark: boolean;
    isDefault: boolean;
    logoFileUrl: string;
    logoFileName: string;
    logoFileHash: string;
    buttonBorderRadius: number;
    elements: ThemeElement[];
    constructor(theme?: Partial<Theme>);
}
