import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../../services/http-client.service';
import { SettingsService } from '../../../services/settings.service';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { ExportTheme } from '../models/export-theme.model';
export declare class H21ThemeApiService extends HttpClientService {
    constructor(http: HttpClient, settingsService: SettingsService);
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    uploadTheme(profile: ExportTheme, options?: IRequestOptions): Observable<ExportTheme>;
}
