import { Observable } from 'rxjs';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { IQueryResult } from '../../../interfaces/query-result.interface';
import { ThemeElement } from '../models/theme-element.model';
import { H21ThemeApiService } from './h21-theme-api.service';
import { Query } from '../../../models/query.model';
export declare class H21ThemeElementsService {
    private _http;
    private _model;
    constructor(_http: H21ThemeApiService);
    find(filter: Query<any>, options?: IRequestOptions): Observable<IQueryResult<ThemeElement>>;
    save(elements: ThemeElement[]): Observable<ThemeElement[]>;
    groupByThemeId(elements: ThemeElement[]): any;
    getValueByElement(theme: any, name: string): ThemeElement;
}
