import { Observable } from 'rxjs';
import { Passenger, SearchFlight } from '../models';
export declare class AppSubscriberService {
    private _search;
    private _searchResultMode;
    private _traveler;
    private _removeTraveler;
    private _departureDate;
    private _closeMenu;
    search(searchOptions: SearchFlight): void;
    clearSearch(): void;
    searchObservable(): Observable<any>;
    searchResultMode(mode: string): void;
    searchResultModeObservable(): Observable<string>;
    addTraveler(traveler: Passenger): void;
    removeTraveler(traveler: Passenger): void;
    travelerObservable(): Observable<Passenger>;
    removeTravelerObservable(): Observable<Passenger>;
    departureDateChanged(data: any): void;
    departureDateObservable(): Observable<any>;
    closeMenu(): void;
    closeMenuObservable(): Observable<void>;
}
