import { Observable } from 'rxjs';
import { IToolbarActionButton } from '../../lib/h21-top-toolbar/models/i-toolbar-action-button';
import { SettingsService } from '../settings.service';
import { HttpClientService } from '../http-client.service';
export declare class H21ReportToolbarService {
    private _settings;
    private _httpService;
    constructor(_settings: SettingsService, _httpService: HttpClientService);
    getReportMenu(orderItemId?: number, kindId?: number): Observable<IToolbarActionButton[]>;
    openVoucherReport(orderItemId: number, reportExternalId: string): void;
    private _getQuery;
    private _getToolBarItem;
    private _navigate;
    private _getVoucherParameters;
}
