import { OnDestroy } from '@angular/core';
import { HubConnection } from '@aspnet/signalr';
import { ReplaySubject } from 'rxjs';
import { ISignalrContext } from '../interfaces/signalr-context.interface';
import { SettingsService } from './settings.service';
export declare class SignalrService implements OnDestroy {
    private _settings;
    protected hubConnection: HubConnection;
    contextResolved: ReplaySubject<boolean>;
    private _context;
    private _hubPromise;
    private _hubResolver;
    constructor(_settings: SettingsService);
    init(): void;
    readonly context: ISignalrContext;
    on(method: string, callback: any): void;
    invoke(method: string, ...data: string[]): Promise<any>;
    ngOnDestroy(): void;
    protected setListener(): void;
    private _createConnection;
    private _startConnection;
}
