import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Router } from '@angular/router';
import { OAuthService } from 'angular-oauth2-oidc';
import { Observable } from 'rxjs';
import { H21DefaultDialogService } from '../lib/dialogs/h21-default-dialog.service';
export declare class H21ErrorInterceptor implements HttpInterceptor {
    private _router;
    private _oauthService;
    private _dialog;
    constructor(_router: Router, _oauthService: OAuthService, _dialog: H21DefaultDialogService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
