import { EventEmitter } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { IConfirmDialogOption } from '../models';
export declare class H21ConfirmDialogComponent {
    private dialogRef;
    options: IConfirmDialogOption;
    title: string;
    content: string;
    isCancelled: boolean;
    noClick: EventEmitter<any>;
    yesClick: EventEmitter<any>;
    cancelClick: EventEmitter<any>;
    constructor(dialogRef: MatDialogRef<H21ConfirmDialogComponent>, options: IConfirmDialogOption);
    yes(): void;
    no(): void;
    cancel(): void;
}
