import { EventEmitter } from '@angular/core';
import { MatSnackBar } from '@angular/material';
import { AppSubscriberService } from '../../services/app-subscriber-service';
import { SearchFlight } from '../../models';
export declare class H21AirSearchPanelComponent {
    private _snackBar;
    private _appSubscriber;
    clearedSearch: EventEmitter<void>;
    searched: EventEmitter<SearchFlight>;
    searchOptions: SearchFlight;
    private _routes;
    constructor(_snackBar: MatSnackBar, _appSubscriber: AppSubscriberService);
    init(): void;
    trackByFn(index: any): any;
    addFlyRoute(): void;
    removeFlyRoute(): void;
    canAdd(i: number): boolean;
    canRemove(i: number): boolean;
    changeMode(): void;
    clearSearch(): void;
    search(): void;
}
