import { EventEmitter } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { MatIconRegistry } from '@angular/material';
import { VocabularyService } from '../../services/vocabulary-service';
import { FlightItemGroup } from '../../models/flight-item-group.model';
import { SearchFlight } from '../../models/search-flight.model';
export declare class H21AirSearchResultComponent {
    private _vocabulary;
    private _iconReg;
    private _sanitizer;
    searchedResultReady: EventEmitter<FlightItemGroup[]>;
    showFakeResult: boolean;
    searchInProgress: boolean;
    searchResultReady: boolean;
    titleText: string;
    subTitleText: string;
    resultCheapest: FlightItemGroup[];
    resultShortest: FlightItemGroup[];
    resultRecommended: FlightItemGroup[];
    constructor(_vocabulary: VocabularyService, _iconReg: MatIconRegistry, _sanitizer: DomSanitizer);
    init(): void;
    trackByFn(index: any): any;
    search(options: SearchFlight): void;
    clear(): void;
    getPriceString(groups: FlightItemGroup[]): string;
    getTimeString(groups: FlightItemGroup[]): string;
}
