import { EventEmitter, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { IComboboxOption } from '../../interfaces/combobox-option.interface';
export declare class H21ComboboxComponent implements OnInit {
    private _http;
    disabled: boolean;
    placeholder: string;
    value: any;
    tooltipText: string;
    xPosition: 'before' | 'after';
    options: IComboboxOption[];
    optionsUrl: string;
    selected: EventEmitter<any>;
    filteredOptions: Observable<IComboboxOption[]>;
    filterControl: FormControl;
    filteredOptionCount: number;
    selectedOption: IComboboxOption;
    constructor(_http: HttpClient);
    ngOnInit(): void;
    trackByFn(index: any): any;
    getData(url: string): IComboboxOption[];
    dropBoxClosed(event: any): void;
    selectOption(val: any): void;
    private _filter;
}
