import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { CompanyAddressEditComponent } from './company-address-edit.component';
import { ICompanyAddress } from '../../../interfaces';
export declare class CompanyAddressEditRef {
    private _overlayRef;
    componentInstance: CompanyAddressEditComponent;
    private _beforeClose;
    private _afterClosed;
    constructor(_overlayRef: OverlayRef);
    readonly afterClosed: Observable<any>;
    readonly beforeClose: Observable<void>;
    close(data?: ICompanyAddress | null): void;
}
