import { FormGroup } from '@angular/forms';
import { AfterViewInit, EventEmitter } from '@angular/core';
import { CompanyService } from '../../../services/company.service';
import { CompanyContactEditRef } from './company-contact-edit-ref';
import { ICompanyContact } from '../../../interfaces';
export declare class CompanyContactEditComponent implements AfterViewInit {
    dialogRef: CompanyContactEditRef;
    private _companyService;
    params: ICompanyContact;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    actionInProgress: boolean;
    entity: ICompanyContact;
    entityForm: FormGroup;
    editable: boolean;
    private _container;
    constructor(dialogRef: CompanyContactEditRef, _companyService: CompanyService, params: ICompanyContact);
    ngAfterViewInit(): void;
    init(): void;
    entityToForm(): void;
    formToEntity(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
    save(): void;
    close(): void;
}
