import { OnDestroy } from '@angular/core';
import { CompanySettingService } from '../../../../h21-company-profile/services/company-setting.service';
import { CompanyContactEditService } from '../company-contact-edit/company-contact-edit.service';
import { H21DefaultDialogService } from '../../../../dialogs/h21-default-dialog.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { CompanyService } from '../../../services/company.service';
import { ICompanyContact } from '../../../interfaces';
export declare class CompanyContactListComponent implements OnDestroy {
    private _companyService;
    private _setting;
    private _dialogs;
    private _loadProgressService;
    private _contactEditService;
    id: number;
    readonly: boolean;
    isAdmin: boolean;
    inProgress: boolean;
    noProgress: boolean;
    dataSource: ICompanyContact[];
    displayedColumns: string[];
    private _id;
    private _readonly;
    private _destroy$;
    constructor(_companyService: CompanyService, _setting: CompanySettingService, _dialogs: H21DefaultDialogService, _loadProgressService: LoadProgressService, _contactEditService: CompanyContactEditService);
    ngOnDestroy(): void;
    loadData(): void;
    setDisplayColumns(): void;
    showContactDialog(entity: ICompanyContact): void;
    remove(entity: ICompanyContact): void;
    private _delete;
}
