import { OnDestroy, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { CompanyService } from '../../../services/company.service';
import { CompanyVersion } from '../../../models';
import { EntityState } from '../../../../../enums';
export declare class CompanyVersionComponent implements OnInit, OnDestroy {
    private _companyService;
    companyId: number;
    selectedVersion: Subject<CompanyVersion>;
    oneVersion: Subject<boolean>;
    companyPublished$: Subject<{}>;
    companyVersions: CompanyVersion[];
    selectedCompanyVersions: CompanyVersion;
    private _displayedStates;
    private _order;
    private _destroy$;
    constructor(_companyService: CompanyService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    onChangeVersion(version: CompanyVersion): void;
    isCurrentVersion(state: EntityState): boolean;
    private _setSelectedVersion;
    private _search;
}
