import { Application } from '../../enums';
export declare class ProfileName {
    id: number;
    name: string;
    constructor(id: number, name: string);
}
export declare class CompanyProfileSetting {
    id: number;
    backofficeRoles: string[];
    agentofficeRoles: string[];
    isAgreementAccept: boolean;
    backofficeCompanyProfileId: number;
    agentofficeCompanyProfileId: number;
    constructor(obj: Partial<CompanyProfileSetting>);
    getCompanyProfileId(app: Application): number;
}
