import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { IProfileLink } from '../../../../interfaces/profile-link.interface';
import { IQueryResult } from '../../../../interfaces/query-result.interface';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { ProfileLinkService } from '../../../../services/profile-link.service';
export declare class HierarchyCompanyComponent implements OnInit, OnDestroy {
    private _service;
    private _cdr;
    private _loadProgressService;
    private _toolbarActionsService;
    profileId: number;
    typeId: number;
    inProgress: boolean;
    hierarchyList: IQueryResult<IProfileLink>;
    private _destroy$;
    constructor(_service: ProfileLinkService, _cdr: ChangeDetectorRef, _loadProgressService: LoadProgressService, _toolbarActionsService: ToolbarActionsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _getList;
}
