import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IRequestOptions } from '../../../../interfaces/request-options.interface';
import { HttpClientService } from '../../../../services/http-client.service';
import { SettingsService } from '../../../../services/settings.service';
export declare class IdentityUserProfileService extends HttpClientService {
    private _entityName;
    constructor(http: HttpClient, settingsService: SettingsService);
    confirmEmailOnIdentity(email: string, companyProfileId?: number): Observable<unknown>;
    getApi<T>(url: string, options?: IRequestOptions): Observable<T>;
}
