import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ActionInfo } from './action-info.model';
export declare class H21CounterComponent implements ControlValueAccessor {
    value: number;
    max: number;
    min: number;
    reduceOnlyProgrammatically: boolean;
    increaseOnlyProgrammatically: boolean;
    disabled: boolean;
    changed: EventEmitter<number>;
    reduced: EventEmitter<void>;
    increased: EventEmitter<void>;
    changedInfo: EventEmitter<ActionInfo>;
    constructor();
    reduce(): void;
    increase(): void;
    onTouched: () => void;
    onChange: (value: any) => void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(val: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
