import { EventEmitter, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { IClickEvent } from './click-event.interface';
import { DateTime } from './date-time.model';
export declare class H21DateTimeEditComponent implements OnInit {
    name: string;
    readonly: boolean;
    isRequired: boolean;
    validationGroup: string;
    validationMessage: string;
    type: 'date' | 'time' | 'datetime';
    getDates: () => Observable<DateTime[]>;
    dateChange: EventEmitter<any>;
    menus: any[];
    currentDate: Date;
    private _value;
    readonly displayFormat: string;
    date: DateTime;
    ngOnInit(): void;
    contextMenuItemClick(e: IClickEvent): void;
    onValueChanged(e: any): void;
    private _buildMenuItems;
    private _toDate;
    private _toDateTime;
}
