import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { BaseControl } from '../../models/base-control';
import { H21FilterService } from '../../services/h21-filter.service';
import { CountriesAutocompleteService } from '../../../../services/countries-autocomplete.service';
import { ICountry } from '../../../../interfaces/country.interface';
export declare class H21FilterComponent implements OnInit, AfterViewInit, OnDestroy {
    private _h21FilterService;
    private _countriesAutocompleteService;
    controls: BaseControl[];
    emitSubmit: EventEmitter<{}>;
    countries$: Observable<ICountry[]>;
    form: FormGroup;
    private country;
    private _destroy$;
    private _countryData;
    constructor(_h21FilterService: H21FilterService, _countriesAutocompleteService: CountriesAutocompleteService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: any): number;
    displayFn(item: string): string;
    setPickerValue(data: string, field: string): void;
    submit(): void;
    reset(): void;
    private _getCountry;
}
