import { EventEmitter } from '@angular/core';
import { H21NotificationListDialogRef } from './h21-notification-list-dialog-ref';
import { IH21Notification } from '../../../models/i-h21-notification';
export declare class H21NotificationListDialogComponent {
    dialogRef: H21NotificationListDialogRef;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    title: string;
    notifications: IH21Notification[];
    constructor(dialogRef: H21NotificationListDialogRef, _notifications: IH21Notification[]);
    trackByFn(index: any): any;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
    close(): void;
}
