import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { IH21DialogPanel } from '../../../h21-dialog-panel';
import { BaseControl } from '../../../h21-filter/models';
import { ProfileLinkFilter } from '../../../../models';
import { HierarchyPanelData } from '../../models';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { AnimationState } from '../../../../enums';
export declare class HierarchyFilterComponent implements OnInit, AfterViewInit {
    private _cdr;
    private _vocabulary;
    dialog: IH21DialogPanel<HierarchyPanelData>;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    controls: BaseControl[];
    private readonly _filter;
    private _container;
    private _filterComponent;
    constructor(_cdr: ChangeDetectorRef, _vocabulary: SysadminVocabularyService, dialog: IH21DialogPanel<HierarchyPanelData>);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onAnimation(event: AnimationEvent): void;
    close(): void;
    onEmitSubmit(filter: ProfileLinkFilter): void;
    reset(): void;
    submit(): void;
    private _initControls;
}
