import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IProfileLink, IQueryResult } from '../../../../interfaces';
import { ProfileLinkFilter } from '../../../../models';
import { H21DialogPanelService } from '../../../h21-dialog-panel/h21-dialog-panel.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { ProfileLinkService } from '../../../../services/profile-link.service';
export declare class HierarchyComponent implements OnInit, OnDestroy {
    private _router;
    private _cdr;
    private _service;
    private _dialog;
    private _loadProgressService;
    private _toolbarActionsService;
    inProgress: boolean;
    noProgress: boolean;
    hierarchyList: IQueryResult<IProfileLink>;
    filter: ProfileLinkFilter;
    resetExpand: boolean;
    private _destroy$;
    constructor(_router: Router, _cdr: ChangeDetectorRef, _service: ProfileLinkService, _dialog: H21DialogPanelService, _loadProgressService: LoadProgressService, _toolbarActionsService: ToolbarActionsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    openFilter(): void;
    private _checkFilter;
    private _getList;
    private _setToolbarActions;
}
