import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { IFileInfo } from '../../interfaces/file-info.interface';
import { FileUploaderService } from '../../services/file-uploader.service';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
export declare class H21ProfileImageComponent implements OnInit {
    private _cdr;
    private _http;
    private _settings;
    private _uploader;
    file: IFileInfo;
    fileHash: string;
    fileUrl: string;
    folder: string;
    alt: string;
    firstName: string;
    lastName: string;
    readonly: boolean;
    withBorder: boolean;
    size: 'small' | 'medium' | 'large' | 'elastic';
    fileChange: EventEmitter<IFileInfo>;
    src: string;
    inProgress: boolean;
    progressDiameter: number;
    progressStrokeWidth: number;
    private _file;
    constructor(_cdr: ChangeDetectorRef, _http: HttpClientService, _settings: SettingsService, _uploader: FileUploaderService);
    ngOnInit(): void;
    readonly nameIcon: string;
    hasImage(): boolean;
    showUploadButton(): boolean;
    showPicture(): boolean;
    showLabel(): boolean;
    fileChanged(e: Event): void;
    setImg(file: IFileInfo): void;
    removeImage(): void;
    private _firstChar;
}
