import { DomSanitizer } from '@angular/platform-browser';
import { EventEmitter } from '@angular/core';
import { MatIconRegistry } from '@angular/material';
import { H21RightOverlayPanelRef } from './h21-right-overlay-panel-ref';
export declare class H21RightOverlayPanelComponent {
    sanitizer: DomSanitizer;
    iconReg: MatIconRegistry;
    dialogRef: H21RightOverlayPanelRef;
    componentType: string;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    constructor(sanitizer: DomSanitizer, iconReg: MatIconRegistry, dialogRef: H21RightOverlayPanelRef);
    close(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
}
