import { AfterViewInit, OnInit, Renderer2 } from '@angular/core';
import { DateAdapter, MatDialogRef } from '@angular/material';
import { FormGroup } from '@angular/forms';
import { Subject } from 'rxjs';
import { ITwoMonthCalendarDialogData } from './models';
import { SettingsService } from '../../services/settings.service';
export declare class H21TwoMonthCalendarDialogComponent implements OnInit, AfterViewInit {
    data: ITwoMonthCalendarDialogData;
    dialogRef: MatDialogRef<H21TwoMonthCalendarDialogComponent>;
    private _renderer;
    private _settings;
    private _dateAdapter;
    monthNames: string[];
    monthList: any[];
    sliderItemsCount: number;
    sliderItemsBoxWidth: number;
    sliderItemWidth: number;
    sliderCurrentIndex: number;
    sliderCurrentIndexSubject: Subject<{}>;
    sliderCurrentTranslation: number;
    dayCells: any[];
    calendarForm: FormGroup;
    datePattern: string;
    private _monthShortNames;
    private _dayShortNames;
    constructor(data: ITwoMonthCalendarDialogData, dialogRef: MatDialogRef<H21TwoMonthCalendarDialogComponent>, _renderer: Renderer2, _settings: SettingsService, _dateAdapter: DateAdapter<Date>);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    trackByFn(index: any): any;
    closeDialog(): void;
    getMonthName(monthNumber: any): string;
    getMonthFirstDay(month: number, year: number): Date;
    prevSlide(): void;
    nextSlide(): void;
    prevDay(date: Date): void;
    nextDay(date: Date): void;
    selectedDateChange($event: any): void;
    clearSelection(): void;
    checkCompletePossibility(): boolean;
    private _getArialLabel;
    private _padLeft;
    private _getMonthList;
    private _getMonthNumberInList;
    private _init;
    private _updateDayCells;
    private _checkDateInDayCells;
    private _markSelectedCell;
    private _unMarkSelectedCell;
    private _unMarkSelected;
    private _clearHighlight;
    private _highlightRange;
    private _correctToDate;
    private _dynamicHighlight;
    private _moveSlide;
    private _moveToSlide;
    private _isLessThenMaxRange;
}
