import { MatDialogRef } from '@angular/material';
import { IFileDictionary } from '../file-dictionary';
import { H21UploadService } from '../h21-upload.service';
export declare class H21UploadDialogComponent {
    dialogRef: MatDialogRef<H21UploadDialogComponent>;
    uploadService: H21UploadService;
    options: any;
    file: any;
    dictionary: IFileDictionary;
    primaryButtonText: string;
    canBeClosed: boolean;
    showCancelButton: boolean;
    uploading: boolean;
    uploadSuccessful: boolean;
    files: Set<File>;
    constructor(dialogRef: MatDialogRef<H21UploadDialogComponent>, uploadService: H21UploadService, options: any);
    addFiles(): void;
    onFilesAdded(): void;
    trackByFn(index: any): any;
    closeDialog(): void;
}
