import { Observable } from 'rxjs';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { H21ThemeApiService } from './h21-theme-api.service';
import { ExportTheme } from '../models/export-theme.model';
export declare class H21ThemeImportService {
    private _http;
    private _imported$;
    readonly imported$: Observable<void>;
    constructor(_http: H21ThemeApiService);
    importTheme(e: Event): void;
    upload(theme: ExportTheme, options?: IRequestOptions): Observable<ExportTheme>;
}
