import { Observable } from 'rxjs';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { ThemeProfile } from '../models/theme-profile.model';
import { H21ThemeApiService } from './h21-theme-api.service';
import { Query } from '../../../models/query.model';
export declare class H21ThemeProfileService {
    private _http;
    private _model;
    constructor(_http: H21ThemeApiService);
    getById(profileId: number, options?: IRequestOptions): Observable<ThemeProfile>;
    getCurrentProfile(): Observable<ThemeProfile>;
    find(filter: Query<any>, options?: IRequestOptions): Observable<ThemeProfile[]>;
}
