import { Observable } from 'rxjs';
import { IQueryResult } from '../../../interfaces/query-result.interface';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { UserProfile } from '../../../models/user-profile.model';
import { H21ThemeApiService } from './h21-theme-api.service';
import { Query } from '../../../models/query.model';
export declare class H21UserProfileService {
    private _http;
    private _model;
    constructor(_http: H21ThemeApiService);
    find(filter: Query<any>, options?: IRequestOptions): Observable<IQueryResult<UserProfile>>;
}
