import { OAuthService } from 'angular-oauth2-oidc';
import { IIdentityClaims } from '../interfaces';
export declare class AuthService {
    private _oAuth;
    constructor(_oAuth: OAuthService);
    getIdentityClaims(): IIdentityClaims;
    valid(): boolean;
    hasRoles(requiredRoleList: string[]): boolean;
    logOut(): void;
}
