import { HttpClient } from '@angular/common/http';
import { OAuthService } from 'angular-oauth2-oidc';
import { Observable } from 'rxjs';
import { SettingsService } from './settings.service';
import { IAppDetails } from '../interfaces';
export declare class AvailableServicesService {
    private _http;
    private _auth;
    private _settings;
    private _entity;
    constructor(_http: HttpClient, _auth: OAuthService, _settings: SettingsService);
    getAvailableServices(): Observable<IAppDetails[]>;
}
