import { ElementRef, OnDestroy } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ICoreEnvironment, ICountry } from '../interfaces';
export declare class CountriesAutocompleteService implements OnDestroy {
    private _http;
    private _core;
    private _displayFnCountries;
    private _destroy$;
    constructor(_http: HttpClient, _core: ICoreEnvironment);
    ngOnDestroy(): void;
    getCountryName(countryCode: any): string;
    getCountry(countryCode: string): Observable<ICountry>;
    getCountries(input: ElementRef): Observable<ICountry[]>;
    private _getCountries;
    private _getCountry;
}
