import { HttpClient } from '@angular/common/http';
import { OAuthService } from 'angular-oauth2-oidc';
import { BehaviorSubject, Observable } from 'rxjs';
import { UserProfile } from '../models/user-profile.model';
import { SettingsService } from './settings.service';
export declare class UserProfileService {
    private _http;
    private _auth;
    private _settings;
    profile$: BehaviorSubject<UserProfile>;
    private baseEntity;
    constructor(_http: HttpClient, _auth: OAuthService, _settings: SettingsService);
    getUserById(userProfileId?: number): Observable<UserProfile>;
    getUser(): void;
    getUserProfileId(): number;
    acceptAgreement(): Observable<void>;
}
