import { AbstractControl } from '@angular/forms';
import { IOrder } from '../interfaces/order.interface';
export declare class Utils {
    static phoneRegexp: RegExp;
    static emailRegexp: RegExp;
    static times: (n: any, f: any) => void;
    /**
     * Валидация Datepicker, проверяем на содержание ошибки
     * @param control контролл Datepicker
     */
    static matDatepickerHasError(control: AbstractControl): boolean;
    static getAbsoluteDomainUrl(): string;
    static deepCopy<T>(item: T): T;
    static getDateWithOffset(date: Date): Date;
    static getUTCDate(date: Date): Date;
    static parseDate(value: string): Date;
    static getUrlFromBlob(file: string, data: Blob): string;
    static sort(order: IOrder, field: string): IOrder;
    /**
     * Формируем support url email строку
     * @param email эмаил
     */
    static getSupportEmailLink(email: string): string;
}
