import { Observable } from 'rxjs';
import { City, Passenger, SearchFlight, SearchResult } from '../models';
export declare abstract class VocabularyService {
    abstract getCities(pattern: string): Observable<City[]>;
    abstract searchFlights(options: SearchFlight): Observable<SearchResult>;
    abstract searchPassengers(pattern: string): Observable<Passenger[]>;
}
